#include <assert.h>

#include "keys.h"
#include "utils.h"

#define RSA_PRIVKEY "privkey"
#define RSA_PUBKEY "pubkey"

int main(void) 
{
    RSA *rsa_key;

    keys_gen_rsa_key(&rsa_key, 1024);

    keys_rsakey2file(RSA_PRIVKEY, KEYS_PRIVKEY, rsa_key);

    keys_rsakey2file(RSA_PUBKEY, KEYS_PUBKEY, rsa_key);

    keys_free_rsa_key(rsa_key);

    return 0;
}
