#ifndef _RSA_H
#define _RSA_H

#include <string.h>

#include <openssl/rsa.h>

#include "common.h"

int rsa_openssl_sign(unsigned char *signature,
                     size_t *sig_size,
                     const unsigned char *msg,
                     size_t msg_len,
                     RSA *key);

int rsa_openssl_verify(const unsigned char *signature,
                       size_t sig_size,
                       const unsigned char *msg,
                       size_t msg_len,
                       RSA *key,
                       u8 *isValid);

#endif
