using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;
using System.Drawing;
using System.Collections.Specialized;

namespace MyControls
{
	/// <summary>
	/// Summary description for Header.
	/// </summary>
	[PartialCaching(240)]
	public class Header :Control
	{
		private System.Web.UI.WebControls.Image headerImg = new System.Web.UI.WebControls.Image();
		/// <summary>
		/// 
		/// </summary>
		public Header()
		{
		}
		/// <summary>
		/// 
		/// </summary>
		public string HeaderImageUrl
		{
			get
			{
				EnsureChildControls();
				return headerImg.ImageUrl;
			}
			set
			{
				EnsureChildControls();
				headerImg.ImageUrl=value;
			}
		}
		/// <summary>
		/// 
		/// </summary>
		protected override void CreateChildControls()
		{
			Controls.Add(headerImg);
		}
	}
}
