#ifndef _HAMC_SHA1_H
#define _HAMC_SHA1_H

#include <string.h>
	
int hmac_sha1(unsigned char *hmac,
              size_t hmac_size,
              const unsigned char *msg,
              size_t msg_len,
              const void *key,
              size_t key_len);

int hmac_openssl_sha1(unsigned char *hmac,
                      size_t hmac_size,
                      const unsigned char *msg,
                      size_t msg_len,
                      const void *key,
                      size_t key_len);

#endif
